Crypto++ 8.2 Free C++ class library of cryptographic schemes

Static Public Member Functions | Static Public Attributes | List of all members
FixedKeyLength< N, IV_REQ, IV_L > Class Template Reference

Inherited by keyed algorithms with fixed key length. More...

## Static Public Member Functions
static size_t CRYPTOPP_API | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...

## Static Public Attributes
static const int | KEYLENGTH =N
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH =N
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH =N
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH =N
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT = IV_REQ
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH = IV_L
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

### template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>
class FixedKeyLength< N, IV_REQ, IV_L >

Inherited by keyed algorithms with fixed key length.

Template Parameters

  N | Default key length, in bytes
  IV_REQ | the IV requirements
  IV_L | default IV length, in bytes

See also
  SimpleKeyingInterface

Definition at line 124 of file seckey.h.

## Member Function Documentation

## ◆ StaticGetValidKeyLength()

template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>

static size_t CRYPTOPP_API FixedKeyLength< N, IV_REQ, IV_L >::StaticGetValidKeyLength | ( | size_t | keylength | ) |
| inline static

The default key length for the algorithm provided by a static function.

Parameters

  keylength | the size of the key, in bytes

The default implementation returns KEYLENGTH. keylength is unused in the default implementation.

Definition at line 150 of file seckey.h.

## Member Data Documentation

## ◆ KEYLENGTH

template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>

const int FixedKeyLength< N, IV_REQ, IV_L >::KEYLENGTH =N
| static

The default key length used by the algorithm provided as a constant.

KEYLENGTH is provided in bytes, not bits

Definition at line 129 of file seckey.h.

## ◆ MIN_KEYLENGTH

template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>

const int FixedKeyLength< N, IV_REQ, IV_L >::MIN_KEYLENGTH =N
| static

The minimum key length used by the algorithm provided as a constant.

MIN_KEYLENGTH is provided in bytes, not bits

Definition at line 132 of file seckey.h.

## ◆ MAX_KEYLENGTH

template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>

const int FixedKeyLength< N, IV_REQ, IV_L >::MAX_KEYLENGTH =N
| static

The maximum key length used by the algorithm provided as a constant.

MAX_KEYLENGTH is provided in bytes, not bits

Definition at line 135 of file seckey.h.

## ◆ DEFAULT_KEYLENGTH

template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>

const int FixedKeyLength< N, IV_REQ, IV_L >::DEFAULT_KEYLENGTH =N
| static

The default key length used by the algorithm provided as a constant.

DEFAULT_KEYLENGTH is provided in bytes, not bits

Definition at line 138 of file seckey.h.

## ◆ IV_REQUIREMENT

template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>

const int FixedKeyLength< N, IV_REQ, IV_L >::IV_REQUIREMENT = IV_REQ
| static

The default IV requirements for the algorithm provided as a constant.

The default value is NOT_RESYNCHRONIZABLE. See IV_Requirement in cryptlib.h for allowed values.

Definition at line 142 of file seckey.h.

## ◆ IV_LENGTH

template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>

const int FixedKeyLength< N, IV_REQ, IV_L >::IV_LENGTH = IV_L
| static

The default IV length used by the algorithm provided as a constant.

IV_LENGTH is provided in bytes, not bits. The default implementation uses 0.

Definition at line 145 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h